# Uses of Interface
org.eclipse.ecf.filetransfer.service.ISendFileTransferFactory

Packages that use ISendFileTransferFactory
Package
Description
org.eclipse.ecf.provider.filetransfer

## Uses of ISendFileTransferFactory in org.eclipse.ecf.provider.filetransfer

Methods in org.eclipse.ecf.provider.filetransfer with parameters of type ISendFileTransferFactory
Modifier and Type
Method
Description
`boolean`
IFileTransferProtocolToFactoryMapper.`setSendFileTransferFactory(String protocol, String id, ISendFileTransferFactory factory, int priority)`
For the given protocol, set the given factory to be used for retrieve file transfer.
`boolean`
IFileTransferProtocolToFactoryMapper.`setSendFileTransferFactory(String protocol, String id, ISendFileTransferFactory factory, int priority, boolean uri)`
For the given protocol, set the given factory to be used for retrieve file transfer.